Skip to main content
GET
/
v1
/
providers
List all data providers
curl --request GET \
  --url https://prod.truv.com/v1/providers/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
{
  "count": 123,
  "results": [
    {
      "id": "adp",
      "name": "ADP",
      "data_source": "payroll",
      "logo_url": "https://cdn.truv.com/providers/adp.svg",
      "is_disabled": false,
      "success_rate": "high"
    }
  ],
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Query Parameters

data_source
enum<string>

Data source.

Available options:
payroll,
docs,
insurance,
financial_accounts,
tax,
scoring_attributes
product_type
enum<string>
default:income
required

Product type.

Available options:
income,
employment,
deposit_switch,
pll,
insurance,
transactions,
assets,
admin
query
string

Search query by a name.

ordering
enum<string>

Which field to use when ordering the results. The default is by ascending id.

Available options:
id,
-id,
name,
-name,
rank,
-rank
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

count
integer
required
results
object[]
required
next
string<uri> | null
previous
string<uri> | null